import request from '@/utils/request'

// 查询地址信息列表
export function listAppletAddress(query) {
  return request({
    url: '/model/AppletAddress/list',
    method: 'get',
    params: query
  })
}

// 查询地址信息详细
export function getAppletAddress(id) {
  return request({
    url: '/model/AppletAddress/' + id,
    method: 'get'
  })
}

// 新增地址信息
export function addAppletAddress(data) {
  return request({
    url: '/model/AppletAddress',
    method: 'post',
    data: data
  })
}

// 修改地址信息
export function updateAppletAddress(data) {
  return request({
    url: '/model/AppletAddress',
    method: 'put',
    data: data
  })
}

// 删除地址信息
export function delAppletAddress(id) {
  return request({
    url: '/model/AppletAddress/' + id,
    method: 'delete'
  })
}
